changeset 488:441c8429f27c prerelease

better error message in build_pd_heavy
author Giulio Moro <giuliomoro@yahoo.it>
date Tue, 21 Jun 2016 16:32:12 +0100
parents 7eefd4b3aec3
children 45dee9066d43
files scripts/build_pd_heavy.sh
diffstat 1 files changed, 2 insertions(+), 2 deletions(-) [+]
line wrap: on
line diff
--- a/scripts/build_pd_heavy.sh	Tue Jun 21 16:28:59 2016 +0100
+++ b/scripts/build_pd_heavy.sh	Tue Jun 21 16:32:12 2016 +0100
@@ -102,7 +102,7 @@
 
 # These files will be cleared from $projectpath before calling uploader.py
 #TODO: get a reliable, exhaustive, up-to-date list.
-HEAVY_FILES='Heavy* Hv* Message* Signal*'
+HEAVY_FILES='Heavy* Hv*'
 
 set_date
 reference_time_file="$projectpath"/
@@ -129,7 +129,7 @@
     # TODO: find a more reliable way of doing this. e.g.: have uploader.py fail with a non-zero error code.
     for file in $HEAVY_FILES;
     do
-        ls "$projectpath"/$file >/dev/null 2>&1 || { echo "The online compiler failed, please try again."; exit 1; }
+        ls "$projectpath"/$file >/dev/null 2>&1 || { printf "The online compiler did not return all the files or failed without notice, please try again and/or change HEAVY_FILES to be less strict.\n\n"; exit 1; }
     done
 
     # Apply any Bela-specific patches here